# Generated from vorpal-1.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name vorpal

Name: rubygem-%{gem_name}
Version: 1.5.0
Release: 1%{?dist}
Summary: Separate your domain model from your persistence mechanism
License: MIT
URL: https://github.com/nulogy/vorpal
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.7
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(appraisal) >= 2.2
# BuildRequires: rubygem(appraisal) < 3
# BuildRequires: rubygem(activerecord)
# BuildRequires: rubygem(pg)
# BuildRequires: rubygem(activerecord-import)
# BuildRequires: rubygem(codecov)
BuildArch: noarch

%description
An ORM framelet that fits on top of ActiveRecord to give you 'Data Mapper'
semantics.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/vorpal.gemspec

%changelog
* Mon Sep 26 2022 mockbuilder - 1.5.0-1
- Initial package
